Package org.apache.sling.installer.factories.configuration

# Class ConfigurationConstants

java.lang.Object
org.apache.sling.installer.factories.configuration.ConfigurationConstants

public abstract class ConfigurationConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_BUNDLE_LOCATION`
This property defines the value to be used as a bundle location if a configuration is created by the installer.
`static final String`
`PROPERTY_PERSISTENCE`
This property defines if a configuration should be persisted by the installer.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_PERSISTENCE

public static final String PROPERTY_PERSISTENCE
This property defines if a configuration should be persisted by the installer. This property is a boolean value defaulting to true. The property should be used, if a configuration should not be persisted by clients creating the configuration.

See Also:
  - Constant Field Values

### PROPERTY_BUNDLE_LOCATION

public static final String PROPERTY_BUNDLE_LOCATION
This property defines the value to be used as a bundle location if a configuration is created by the installer. This property is a string value defaulting either to `null` or "?". If this property contains the empty string, `null` is used as the value. The property should be used, if a configuration should be bound to a specific client.

Since:
  1.1
See Also:
  - Constant Field Values

## Constructor Details

### ConfigurationConstants

public ConfigurationConstants()